LlvmPreferenceStore
Date: 2011-05-02

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.cdt.managedbuilder.llvm.ui.preferences
Class LlvmPreferenceStore

    java.lang.Object
      org.eclipse.cdt.managedbuilder.llvm.ui.preferences.LlvmPreferenceStore

    public class LlvmPreferenceStore

extends java.lang.Object

Class used to access the LLVM Preference store values. This class is not intended to be subclassed by clients.

Constructor Summary
`LlvmPreferenceStore()`

Method Summary
`static void` | `appendIncludePath(java.lang.String path)` Append an include path to the LLVM Preference store.
`static void` | `appendLibrary(java.lang.String lib)` Append a library to the LLVM Preference store.
`static void` | `appendLibraryPath(java.lang.String path)` Append a library path to the LLVM Preference store.
`static void` | `appendValue(java.lang.String name, java.lang.String value)` Append a new value to the Preference store if it doesn't already exists.
`static java.lang.String` | `getBinPath()` Get the LLVM bin path value from the LLVM Preference store.
`private static java.lang.String` | `getExistingPaths(java.lang.String name)` Get existing paths from the Preference store.
`static java.lang.String` | `getIncludePath()` Get the LLVM include path value from the LLVM Preference store.
`static java.lang.String` | `getLibraries()` Get the LLVM library from the LLVM Preference store.
`static java.lang.String` | `getLibraryPath()` Get the LLVM library path value from the LLVM Preference Store.
`static org.eclipse.core.runtime.preferences.IEclipsePreferences` | `getPreferenceStore()` Get the LLVM Preference store.
`static java.lang.String` | `getPreferenceStoreValue(java.lang.String name)` Get a value from the LLVM Preference store.
`static java.lang.String[]` | `getPreferenceStoreValueAsArray(java.lang.String name)` Get values from the LLVM Preference store as a String array.
`static void` | `removeIncludePath(java.lang.String path)` Remove a include path from the LLVM preference store.
`static void` | `removeLibrary(java.lang.String lib)` Remove a library from the LLVM preference store.
`static void` | `removeLibraryPath(java.lang.String path)` Remove a library path from the LLVM preference store.
`static void` | `removeValue(java.lang.String name, java.lang.String value)` Remove a value from the LLVM preference store.
`static void` | `setBinPath(java.lang.String path)` Set LLVM bin path to the LLVM Preference store.
`static void` | `setIncludePath(java.lang.String path)` Set LLVM include path to the LLVM Preference store.
`static void` | `setLibrary(java.lang.String lib)` Set LLVM library to the LLVM Preference store.
`static void` | `setLibraryPath(java.lang.String path)` Set LLVM library path to the LLVM Preference store.
`static void` | `setPreferenceStoreValue(java.lang.String name, java.lang.String value)` Set LLVM Preference store value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LlvmPreferenceStore

    public LlvmPreferenceStore()

Method Detail

### getPreferenceStore

    public static org.eclipse.core.runtime.preferences.IEclipsePreferences getPreferenceStore()

  Get the LLVM Preference store.

  Returns:
    LLVM Preference store.

### getPreferenceStoreValue

    public static java.lang.String getPreferenceStoreValue(java.lang.String name)

  Get a value from the LLVM Preference store.

  Parameters:
    `name` - the name of the preference
  Returns:
    the string-valued preference

### getBinPath

    public static java.lang.String getBinPath()

  Get the LLVM bin path value from the LLVM Preference store.

  Returns:
    the LLVM bin path value.

### getIncludePath

    public static java.lang.String getIncludePath()

  Get the LLVM include path value from the LLVM Preference store.

  Returns:
    the LLVM include path value.

### getLibraryPath

    public static java.lang.String getLibraryPath()

  Get the LLVM library path value from the LLVM Preference Store.

  Returns:
    the LLVM library path value.

### getLibraries

    public static java.lang.String getLibraries()

  Get the LLVM library from the LLVM Preference store.

  Returns:
    the LLVM library value.

### getPreferenceStoreValueAsArray

    public static java.lang.String[] getPreferenceStoreValueAsArray(java.lang.String name)

  Get values from the LLVM Preference store as a String array. Used to get Preference store values which consist of multiple paths separated by a path separator.

  Parameters:
    `name` - the name of the preference
  Returns:
    A String array containing all Preference store values

### setPreferenceStoreValue

    public static void setPreferenceStoreValue(java.lang.String name,
                                               java.lang.String value)

  Set LLVM Preference store value.

  Parameters:
    `name` - the name of the preference
    `value` - the string-valued preference

### setBinPath

    public static void setBinPath(java.lang.String path)

  Set LLVM bin path to the LLVM Preference store.

  Parameters:
    `path` - the path to the LLVM bin path.

### setIncludePath

    public static void setIncludePath(java.lang.String path)

  Set LLVM include path to the LLVM Preference store.

  Parameters:
    `path` - LLVM include path.

### setLibraryPath

    public static void setLibraryPath(java.lang.String path)

  Set LLVM library path to the LLVM Preference store.

  Parameters:
    `path` - LLVM library path.

### setLibrary

    public static void setLibrary(java.lang.String lib)

  Set LLVM library to the LLVM Preference store.

  Parameters:
    `lib` - LLVM library.

### getExistingPaths

    private static java.lang.String getExistingPaths(java.lang.String name)

  Get existing paths from the Preference store.

  Parameters:
    `name` - the name of the preference
  Returns:
    paths

### appendValue

    public static void appendValue(java.lang.String name,
                                   java.lang.String value)

  Append a new value to the Preference store if it doesn't already exists.

  Parameters:
    `name` - the name of the preference
    `value` - the string-valued preference

### appendIncludePath

    public static void appendIncludePath(java.lang.String path)

  Append an include path to the LLVM Preference store.

  Parameters:
    `path` - the LLVM include path.

### appendLibraryPath

    public static void appendLibraryPath(java.lang.String path)

  Append a library path to the LLVM Preference store.

  Parameters:
    `path` - the LLVM library path.

### appendLibrary

    public static void appendLibrary(java.lang.String lib)

  Append a library to the LLVM Preference store.

  Parameters:
    `lib` - the LLVM library.

### removeValue

    public static void removeValue(java.lang.String name,
                                   java.lang.String value)

  Remove a value from the LLVM preference store.

  Parameters:
    `name` - Name of the preference
    `value` - Value to remove from the preference store

### removeIncludePath

    public static void removeIncludePath(java.lang.String path)

  Remove a include path from the LLVM preference store.

  Parameters:
    `path` - The include path to be removed from the LLVM preference store.

### removeLibraryPath

    public static void removeLibraryPath(java.lang.String path)

  Remove a library path from the LLVM preference store.

  Parameters:
    `path` - The library path to be removed from the LLVM preference store.

### removeLibrary

    public static void removeLibrary(java.lang.String lib)

  Remove a library from the LLVM preference store.

  Parameters:
    `lib` - The library to be removed from the LLVM preference store.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD